summaryrefslogtreecommitdiff
path: root/tests/chmod/equal-x
diff options
context:
space:
mode:
Diffstat (limited to 'tests/chmod/equal-x')
-rwxr-xr-xtests/chmod/equal-x4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/chmod/equal-x b/tests/chmod/equal-x
index 191f6b6df..3e16ce528 100755
--- a/tests/chmod/equal-x
+++ b/tests/chmod/equal-x
@@ -1,7 +1,7 @@
#!/bin/sh
# Test "chmod =x" and the like.
-# Copyright (C) 1999, 2000, 2002, 2004, 2005 Free Software Foundation,
+# Copyright (C) 1999, 2000, 2002, 2004, 2005, 2006 Free Software Foundation,
# Inc.
# This program is free software; you can redistribute it and/or modify
@@ -26,7 +26,7 @@ fi
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
framework_failure=0